org.eclipse.emf.cdo.common.protocol

## Interface CDOAuthenticator

- Deprecated.
  As of 4.2 use `IPasswordCredentialsProvider` directly

      @Deprecated
      public interface CDOAuthenticator

  The front-end of the CDO challenge/response authentication.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOAuthenticationResult` | `authenticate(byte[] randomToken)` Deprecated.
    `IPasswordCredentialsProvider` | `getCredentialsProvider()` Deprecated.
    `java.lang.String` | `getEncryptionAlgorithmName()` Deprecated.
    `int` | `getEncryptionIterationCount()` Deprecated.
    `byte[]` | `getEncryptionSaltBytes()` Deprecated.
    `void` | `setCredentialsProvider(IPasswordCredentialsProvider credentialsProvider)` Deprecated.
    `void` | `setEncryptionAlgorithmName(java.lang.String encryptionAlgorithmName)` Deprecated.
    `void` | `setEncryptionIterationCount(int encryptionIterationCount)` Deprecated.
    `void` | `setEncryptionSaltBytes(byte[] encryptionSaltBytes)` Deprecated.

- - ### Method Detail

    - #### getEncryptionAlgorithmName

          java.lang.String getEncryptionAlgorithmName()

      Deprecated.

    - #### setEncryptionAlgorithmName

          void setEncryptionAlgorithmName(java.lang.String encryptionAlgorithmName)

      Deprecated.

    - #### getEncryptionSaltBytes

          byte[] getEncryptionSaltBytes()

      Deprecated.

    - #### setEncryptionSaltBytes

          void setEncryptionSaltBytes(byte[] encryptionSaltBytes)

      Deprecated.

    - #### getEncryptionIterationCount

          int getEncryptionIterationCount()

      Deprecated.

    - #### setEncryptionIterationCount

          void setEncryptionIterationCount(int encryptionIterationCount)

      Deprecated.

    - #### getCredentialsProvider

          IPasswordCredentialsProvider getCredentialsProvider()

      Deprecated.

    - #### setCredentialsProvider

          void setCredentialsProvider(IPasswordCredentialsProvider credentialsProvider)

      Deprecated.

    - #### authenticate

          CDOAuthenticationResult authenticate(byte[] randomToken)

      Deprecated.
      Since:
        4.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html